{% extends 'base.html.twig' %}

{% block title %}Chat{% endblock %}

{% block body %}
<div class="container-fluid cover">
    <div class="container py-5">
        <h1 class="text-center text-white font-weight-bold">La Communauté</h1>
    </div>
</div>
<div class="container mt-4">
    <h3 class="text-shadow"><u>CHAT :</u></h3>
    <div class="row mb-2">
        <a href="{{ path('post_chat') }}" class="btn btn-color ml-auto"><i class="fa fa-arrow-left" aria-hidden="true"></i> Retour aux posts
        </a>
    </div>
</div>
<div class="col-10 mx-auto py-3">
    <div class="post container">
        <div class="p-2" id="discussion">
            {% for conversation in conversations %}
            <div class="col-5 mx-auto py-3">
                <div class="post container">
                    <p class="mt-3 mb-0"><u>{{ conversation.user }}</u></p>
                    <p class="font-weight-light">Le {{ conversation.createdAt|date("d/m/y à h:m") }}</p>
                    <p class="mt-3 font-weight-bolder border-chat">{{ conversation.reponse }}</p>
                </div>
            </div>
            {% endfor %}
        </div>
    </div>  
    <!--  -->
    {{ form_start(form) }}
<div class="input-group contour my-2">
    {{ form_widget(form.reponse, {'attr': {'class': 'form-control', 'placeholder': 'Ajouter votre texte...'} }) }}
</div>
<div class="row mx-0">
    <button type="submit" class="btn btn-chat mb-2 ml-auto">Envoyer <i class="fa fa-paper-plane"
            aria-hidden="true"></i>
    </button>
</div>
{{ form_row(form._token) }}
{{ form_end(form, {'render_rest':false }) }}
<!--  -->
</div>

{% endblock %}
